import Vue from "vue";
import UpdateIcon from "./icons/UpdateIcon.vue";
import { locales } from "../define";
import { event, skipWaiting } from "../utils";
export default Vue.extend({
    name: "SWUpdatePopup",
    components: { UpdateIcon },
    data: () => ({
        registration: null,
    }),
    computed: {
        enabled() {
            return Boolean(this.registration);
        },
        message() {
            return locales[this.$localePath].update;
        },
    },
    mounted() {
        event.on("updated", (reg) => {
            if (reg)
                this.registration = reg;
        });
    },
    methods: {
        reload() {
            if (this.registration) {
                skipWaiting(this.registration);
                this.registration = null;
            }
        },
    },
});
//# sourceMappingURL=SWUpdatePopup.js.map