"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deprecatedLogger = void 0;
const vuepress_shared_1 = require("vuepress-shared");
const deprecatedLogger = ({ options, deprecatedOption, newOption, msg = "", scope = "", }) => {
    if (deprecatedOption in options) {
        console.warn(vuepress_shared_1.chalk.blue("PWA:"), vuepress_shared_1.chalk.black.bgYellow("Warning"), `"${deprecatedOption}" is deprecated${scope ? ` in ${scope}` : ""}, please use "${newOption}" instead.${msg ? `\n${msg}` : ""}`);
        if (newOption.includes(".")) {
            const keys = newOption.split(".");
            let temp = options;
            keys.forEach((key, index) => {
                if (index !== keys.length - 1) {
                    // ensure level exists
                    temp[key] = temp[key] || {};
                    temp = temp[key];
                }
                else
                    temp[key] = options[deprecatedOption];
            });
        }
        else
            options[newOption] = options[deprecatedOption];
        delete options[deprecatedOption];
    }
};
exports.deprecatedLogger = deprecatedLogger;
//# sourceMappingURL=utils.js.map