"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pwaLocales = void 0;
/** Muti language config for pwa popup */
exports.pwaLocales = {
    "/en/": {
        install: "Install",
        iOSInstall: "Tap the share button and then 'Add to Homescreen'",
        cancel: "Cancel",
        close: "Close",
        prevImage: "Previous Image",
        nextImage: "Next Image",
        desc: "Description",
        feature: "Key Features",
        explain: "This app can be installed on your PC or mobile device.  This will allow this web app to look and behave like any other installed app.  You will find it in your app lists and be able to pin it to your home screen, start menus or task bars.  This installed web app will also be able to safely interact with other apps and your operating system. ",
        hint: "New content found.",
        update: "New content is available.",
    },
    "/zh/": {
        install: "安装",
        iOSInstall: "点击分享按钮然后点击“添加到主屏幕”",
        cancel: "取消",
        close: "关闭",
        prevImage: "上一张图片",
        nextImage: "下一张图片",
        desc: "详情",
        feature: "主要特色",
        explain: "该应用可以安装在你的 PC 或移动设备上。这将使该 Web 应用程序外观和行为与其他应用程序相同。它将在出现在应用程序列表中，并可以固定到主屏幕，开始菜单或任务栏。此 Web 应用程序还将能够与其他应用程序和你的操作系统安全地进行交互。",
        hint: "发现新内容可用",
        update: "新内容已就绪",
    },
    "/zh-tw/": {
        install: "安裝",
        iOSInstall: "點擊分享按鈕然後點擊“添加到主畫面”",
        cancel: "取消",
        close: "關閉",
        prevImage: "上一張圖片",
        nextImage: "下一張圖片",
        desc: "詳情",
        feature: "主要特色",
        explain: "該應用可以安裝在你的 PC 或行動裝置上。這將使該 Web 應用程式外觀和行為與其他應用程式相同。它將在出現在應用程式列表中，並可以固定到主畫面，開始菜單或任務欄。此 Web 應用程式還將能夠與其他應用程式和你的操作系統安全地進行交互。",
        hint: "發現新内容可用",
        update: "新内容已就绪",
    },
    "/de/": {
        install: "Installieren",
        iOSInstall: "Drucke den Share-Button und dan 'zu Homescreen hinzufügen'",
        cancel: "Abbrechen",
        close: "Schließen",
        prevImage: "Vorheriges Bild",
        nextImage: "Nächstes Bild",
        desc: "Berschreibung",
        feature: "Features",
        explain: "Diese App kann auf Ihrem PC oder Mobilgerät installiert werden.  Dadurch sieht diese Web-App aus und verhält sich wie jede andere installierte App.  Sie finden sie in Ihren App-Listen und können sie an den Startbildschirm, die Startmenüs oder die Taskleisten anheften.  Diese installierte Web-App kann auch sicher mit anderen Apps und Ihrem Betriebssystem interagieren.",
        hint: "Neue Inhalte sind verfügbar.",
        update: "Neue Inhalte sind verfügbar.",
    },
    "/vi/": {
        install: "Tải về",
        iOSInstall: "Nhấn vào nút chia sẻ và sau đó 'Thêm vào Màn hình chính'",
        cancel: "Huỷ bỏ",
        close: "Đóng",
        prevImage: "Hình ảnh trước đó",
        nextImage: "Hình ảnh tiếp theo",
        desc: "Sự miêu tả",
        feature: "Các tính năng chính",
        explain: "Ứng dụng này có thể được cài đặt trên PC hoặc thiết bị di động của bạn. Điều này sẽ cho phép ứng dụng web này trông và hoạt động giống như bất kỳ ứng dụng đã cài đặt nào khác. Bạn sẽ tìm thấy nó trong danh sách ứng dụng của mình và có thể ghim nó vào màn hình chính, menu bắt đầu hoặc thanh tác vụ. Ứng dụng web đã cài đặt này cũng sẽ có thể tương tác an toàn với các ứng dụng khác và hệ điều hành của bạn.",
        hint: "Nội dung mới được tìm thấy",
        update: "Đã có nội dung mới",
    },
    "/uk/": {
        install: "Встановити",
        iOSInstall: "Торкніться кнопки «Поділитися», а потім «Додати на головний екран»",
        cancel: "Скасувати",
        close: "Закрити",
        prevImage: "Попереднє зображення",
        nextImage: "Наступне зображення",
        desc: "Опис",
        feature: "Основні характеристики",
        explain: "Цю програму можна встановити на ПК або мобільний пристрій. Це дозволить цій веб-програмі виглядати та вести себе як будь-яка інша встановлена програма. Ви знайдете її у списках додатків і зможете закріпити на головному екрані, в меню «Пуск» або на панелі завдань. Ця встановлена веб-програма також зможе безпечно взаємодіяти з іншими програмами та вашою операційною системою. ",
        hint: "Знайдено новий вміст",
        update: "Доступний новий контент.",
    },
    "/ru/": {
        install: "Установить",
        iOSInstall: "Нажмите кнопку «Поделиться», а затем «Добавить на главный экран»",
        cancel: "Отменить",
        close: "Закрыть",
        prevImage: "Предыдущее изображение",
        nextImage: "Следующее изображение",
        desc: "Описание",
        feature: "Основные функции",
        explain: "Это приложение может быть установлено на вашем компьютере или мобильном устройстве.  Это позволит веб-приложению выглядеть и вести себя как любое другое установленное приложение.  Вы найдете его в списках приложений и сможете закрепить его на домашнем экране, в меню пуск или на панели задач.  Установленное веб-приложение также сможет безопасно взаимодействовать с другими приложениями и операционной системой. ",
        hint: "Найден новый контент",
        update: "Доступен новый контент.",
    },
    "/br/": {
        install: "Instalar",
        iOSInstall: "Toque no botão de compartilhar e depois 'Adicionar à Home'",
        cancel: "Cancelar",
        close: "Fechar",
        prevImage: "Imagem anterior",
        nextImage: "Próxima imagem",
        desc: "Descrição",
        feature: "Características Chave",
        explain: "Esta aplicação web pode ser instalada no seu PC ou dispositivo móvel. Isso fará com que ela se pareça e se comporte como qualquer outra aplicação.  Você a encontrará na lista de apps e poderá adicionar seu ícone à tela de entrada, menus ou barras de tarefa.  Uma vez instalada, esta aplicação web também poderá interagir com outras aplicações ou com o próprio sistema operacional. ",
        hint: "Novo conteúdo encontrado",
        update: "Novo conteúdo está disponível.",
    },
    "/pl/": {
        install: "Zainstaluj",
        iOSInstall: "Stuknij przycisk udostępniania, a następnie „Dodaj do ekranu głównego”",
        cancel: "Anuluj",
        close: "Zamknij",
        prevImage: "Poprzedni obrazek",
        nextImage: "Następny obrazek",
        desc: "Opis",
        feature: "Kluczowe cechy",
        explain: "Tę aplikację można zainstalować na komputerze lub urządzeniu mobilnym. Dzięki temu ta aplikacja internetowa będzie wyglądać i zachowywać się jak każda inna zainstalowana aplikacja. Znajdziesz ją na listach aplikacji i będziesz mógł przypiąć go do ekranu głównego, menu startowego lub pasków zadań. Ta zainstalowana aplikacja internetowa będzie również mogła bezpiecznie komunikować się z innymi aplikacjami i systemem operacyjnym.",
        hint: "Znaleziono nową zawartość.",
        update: "Nowa zawartość jest dostępna.",
    },
    "/sk/": {
        install: "Insštalácia",
        iOSInstall: "Klikni na tlačidlo zdielania a potom 'Daj na domovskú obrazovku'",
        cancel: "Zrušiť",
        close: "Zavrieť",
        prevImage: "Prodošlí obrázok",
        nextImage: "Ďalší obrázok",
        desc: "Poznámka",
        feature: "Kľúčové vlastnosti",
        explain: "Túto aplikáciu je možné nainštalovať na počítač alebo mobil.  Toto umožný sa správať aplikácii ako každej inej nainštalovanej aplikácii.  Nájdeš ju vo svojom liste aplikácii a budeš môcť ju pripnúť na domovskú stránku, štartovacieho menu alebo do panelu úloh.  Táto nainštalovaná webová aplikácia umžní tiež bezpečne komunikovať s ostatnými nainštalovanými aplikáciami a operačným systémom. ",
        hint: "Nový obsah bol nájdený.",
        update: "Nový obsah je dostupný.",
    },
    "/fr/": {
        install: "Installer",
        iOSInstall: "Appuyez sur le bouton partager puis 'Ajouter à l'écran d'accueil'",
        cancel: "Annuler",
        close: "Fermer",
        prevImage: "Image précédente",
        nextImage: "Image suivante",
        desc: "Description",
        feature: "Composants clés",
        explain: "Cette app peut être installée sur PC ou smartphone.  Cela permettra de rendre cette page web comme n'importe quelle autre application.  Vous la trouverez dans votre liste d'application et serez capable de la pin sur votre écran principal et divers menus.  L'application web installée sera capable d'interagir avec les autres applications et le système d'exploitation.",
        hint: "New content found.",
        update: "New content is available.",
    },
    "/es/": {
        install: "Instalar",
        iOSInstall: "Toque el botón compartir y luego 'Agregar a la pantalla de inicio'",
        cancel: "Cancelar",
        close: "Cerrar",
        prevImage: "Imagen anterior",
        nextImage: "Imagen siguiente",
        desc: "Descripción",
        feature: "Características clave",
        explain: "Esta aplicación se puede instalar en su PC o dispositivo móvil. Esto permitirá que esta aplicación web se vea y se comporte como cualquier otra aplicación instalada. Lo encontrará en su lista de aplicaciones y podrá fijarlo a su pantalla de inicio, menús de inicio o barras de tareas. Esta aplicación web instalada también podrá interactuar de manera segura con otras aplicaciones y su sistema operativo.",
        hint: "Nuevo contenido encontrado.",
        update: "Hay nuevo contenido disponible.",
    },
};
//# sourceMappingURL=locales.js.map